## com.baidubce.services.moladb.model
Class DeleteItemRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.DeleteItemRequest

    public class DeleteItemRequest

extends AbstractBceRequest

Represents the input of a DeleteItem operation.

Constructor Summary
`DeleteItemRequest()` Constructs a new DeleteItemRequest object.

Method Summary
`Key` `getKey()` The method return the Key that is used to delete the item.
`String` `getTableName()` The method return the table name of this request.
`void` `setKey(Key key)` The method set the Key that used to delete item from the table.
`void` `setTableName(String tableName)` The method set the table name to delete items.
`String` `toString()` Return a string representation of request information.
`DeleteItemRequest` `withKey(Key key)` The method set the Key that used to get item from the table.
`DeleteItemRequest` `withRequestCredentials(BceCredentials credentials)`
`DeleteItemRequest` `withTableName(String tableName)` Set the name of the table from which to delete the item.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteItemRequest

    public DeleteItemRequest()

  Constructs a new DeleteItemRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### withTableName

    public DeleteItemRequest withTableName(String tableName)

  Set the name of the table from which to delete the item.

  Parameters:
    `tableName` - The name of the table from which to delete the item.
  Returns:
    Returns a reference to the object so that method calls can be chained together.

### setTableName

    public void setTableName(String tableName)

  The method set the table name to delete items.

  Parameters:
    `tableName` - The name of the table where to delete the items.

### toString

    public String toString()

  Return a string representation of request information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of request information.

### setKey

    public void setKey(Key key)

  The method set the Key that used to delete item from the table.

  Parameters:
    `key` - The key that used to describe the key field.

### withKey

    public DeleteItemRequest withKey(Key key)

  The method set the Key that used to get item from the table.

  Parameters:
    `key` - The key that used to describe the key field.
  Returns:
    A reference to this object so that method calls can be chained together

### getTableName

    public String getTableName()

  The method return the table name of this request.

  Returns:
    Table name of this request.

### getKey

    public Key getKey()

  The method return the Key that is used to delete the item.

  Returns:
    The Key that is used to locate and delete the item.

### withRequestCredentials

    public DeleteItemRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.